
---
events:
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:12 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_UNAME"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "uname"
    candidate_directories:
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
      - "/bin/"
    searched_directories:
      - "/home/shin/.local/share/nvim/mason/bin/uname"
      - "/home/shin/.asdf/shims/uname"
      - "/home/shin/.aftman/bin/uname"
      - "/home/shin/.rokit/bin/uname"
      - "/home/shin/.cargo/bin/uname"
      - "/usr/local/sbin/uname"
      - "/usr/local/bin/uname"
    found: "/usr/bin/uname"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:212 (message)"
      - "CMakeLists.txt:3 (project)"
    message: |
      The system is: Linux - 6.16.8-gentoo - x86_64
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeNinjaFindMake.cmake:5 (find_program)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_MAKE_PROGRAM"
    description: "Program used to build from build.ninja files."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ninja-build"
      - "ninja"
      - "samu"
    candidate_directories:
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/usr/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/home/shin/.local/share/nvim/mason/bin/ninja-build"
      - "/home/shin/.local/share/nvim/mason/bin/ninja"
      - "/home/shin/.local/share/nvim/mason/bin/samu"
      - "/home/shin/.asdf/shims/ninja-build"
      - "/home/shin/.asdf/shims/ninja"
      - "/home/shin/.asdf/shims/samu"
      - "/home/shin/.aftman/bin/ninja-build"
      - "/home/shin/.aftman/bin/ninja"
      - "/home/shin/.aftman/bin/samu"
      - "/home/shin/.rokit/bin/ninja-build"
      - "/home/shin/.rokit/bin/ninja"
      - "/home/shin/.rokit/bin/samu"
      - "/home/shin/.cargo/bin/ninja-build"
      - "/home/shin/.cargo/bin/ninja"
      - "/home/shin/.cargo/bin/samu"
      - "/usr/local/sbin/ninja-build"
      - "/usr/local/sbin/ninja"
      - "/usr/local/sbin/samu"
      - "/usr/local/bin/ninja-build"
      - "/usr/local/bin/ninja"
      - "/usr/local/bin/samu"
      - "/usr/bin/ninja-build"
    found: "/usr/bin/ninja"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:462 (find_file)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:500 (CMAKE_DETERMINE_COMPILER_ID_WRITE)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:8 (CMAKE_DETERMINE_COMPILER_ID_BUILD)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:122 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:3 (project)"
    mode: "file"
    variable: "src_in"
    description: "Path to a file."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: true
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "CMakeCCompilerId.c.in"
    candidate_directories:
      - "/usr/share/cmake/Modules/"
    found: "/usr/share/cmake/Modules/CMakeCCompilerId.c.in"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:122 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/bin/cc 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is GNU, found in:
        /home/shin/projects/soundboard/build/meson-private/__CMake_compiler_info__/CMakeFiles/4.1.1/CompilerIdC/a.out
      
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_AR"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ar"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/ar"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_RANLIB"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ranlib"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/ranlib"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_STRIP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "strip"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/strip"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_LINKER"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "ld"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/ld"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_NM"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "nm"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/nm"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJDUMP"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "objdump"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/objdump"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_OBJCOPY"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "objcopy"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/objcopy"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_READELF"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "readelf"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/readelf"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_DLLTOOL"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "dlltool"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/dlltool"
      - "/home/shin/.local/share/nvim/mason/bin/dlltool"
      - "/home/shin/.asdf/shims/dlltool"
      - "/home/shin/.aftman/bin/dlltool"
      - "/home/shin/.rokit/bin/dlltool"
      - "/home/shin/.cargo/bin/dlltool"
      - "/usr/local/sbin/dlltool"
      - "/usr/local/bin/dlltool"
      - "/opt/bin/dlltool"
    found: "/usr/lib/llvm/21/bin/dlltool"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_ADDR2LINE"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "addr2line"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    found: "/usr/bin/addr2line"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeFindBinUtils.cmake:238 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:200 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_TAPI"
    description: "Path to a program."
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "tapi"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/tapi"
      - "/home/shin/.local/share/nvim/mason/bin/tapi"
      - "/home/shin/.asdf/shims/tapi"
      - "/home/shin/.aftman/bin/tapi"
      - "/home/shin/.rokit/bin/tapi"
      - "/home/shin/.cargo/bin/tapi"
      - "/usr/local/sbin/tapi"
      - "/usr/local/bin/tapi"
      - "/opt/bin/tapi"
      - "/usr/lib/llvm/21/bin/tapi"
      - "/usr/lib/llvm/20/bin/tapi"
      - "/usr/lib/llvm/19/bin/tapi"
      - "/usr/lib/llvm/18/bin/tapi"
      - "/etc/eselect/wine/bin/tapi"
    found: false
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Compiler/GNU-FindBinUtils.cmake:18 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:201 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_C_COMPILER_AR"
    description: "A wrapper around 'ar' adding the appropriate '--plugin' option for the GCC compiler"
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "gcc-ar-15.2"
      - "gcc-ar-15"
      - "gcc-ar15"
      - "gcc-ar"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/gcc-ar-15.2"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ar-15.2"
      - "/home/shin/.asdf/shims/gcc-ar-15.2"
      - "/home/shin/.aftman/bin/gcc-ar-15.2"
      - "/home/shin/.rokit/bin/gcc-ar-15.2"
      - "/home/shin/.cargo/bin/gcc-ar-15.2"
      - "/usr/local/sbin/gcc-ar-15.2"
      - "/usr/local/bin/gcc-ar-15.2"
      - "/opt/bin/gcc-ar-15.2"
      - "/usr/lib/llvm/21/bin/gcc-ar-15.2"
      - "/usr/lib/llvm/20/bin/gcc-ar-15.2"
      - "/usr/lib/llvm/19/bin/gcc-ar-15.2"
      - "/usr/lib/llvm/18/bin/gcc-ar-15.2"
      - "/etc/eselect/wine/bin/gcc-ar-15.2"
      - "/usr/bin/gcc-ar-15"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ar-15"
      - "/home/shin/.asdf/shims/gcc-ar-15"
      - "/home/shin/.aftman/bin/gcc-ar-15"
      - "/home/shin/.rokit/bin/gcc-ar-15"
      - "/home/shin/.cargo/bin/gcc-ar-15"
      - "/usr/local/sbin/gcc-ar-15"
      - "/usr/local/bin/gcc-ar-15"
      - "/opt/bin/gcc-ar-15"
      - "/usr/lib/llvm/21/bin/gcc-ar-15"
      - "/usr/lib/llvm/20/bin/gcc-ar-15"
      - "/usr/lib/llvm/19/bin/gcc-ar-15"
      - "/usr/lib/llvm/18/bin/gcc-ar-15"
      - "/etc/eselect/wine/bin/gcc-ar-15"
      - "/usr/bin/gcc-ar15"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ar15"
      - "/home/shin/.asdf/shims/gcc-ar15"
      - "/home/shin/.aftman/bin/gcc-ar15"
      - "/home/shin/.rokit/bin/gcc-ar15"
      - "/home/shin/.cargo/bin/gcc-ar15"
      - "/usr/local/sbin/gcc-ar15"
      - "/usr/local/bin/gcc-ar15"
      - "/opt/bin/gcc-ar15"
      - "/usr/lib/llvm/21/bin/gcc-ar15"
      - "/usr/lib/llvm/20/bin/gcc-ar15"
      - "/usr/lib/llvm/19/bin/gcc-ar15"
      - "/usr/lib/llvm/18/bin/gcc-ar15"
      - "/etc/eselect/wine/bin/gcc-ar15"
    found: "/usr/bin/gcc-ar"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "find-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Compiler/GNU-FindBinUtils.cmake:30 (find_program)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:201 (include)"
      - "CMakeLists.txt:3 (project)"
    mode: "program"
    variable: "CMAKE_C_COMPILER_RANLIB"
    description: "A wrapper around 'ranlib' adding the appropriate '--plugin' option for the GCC compiler"
    settings:
      SearchFramework: "NEVER"
      SearchAppBundle: "NEVER"
      CMAKE_FIND_USE_CMAKE_PATH: false
      CMAKE_FIND_USE_CMAKE_ENVIRONMENT_PATH: false
      CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH: true
      CMAKE_FIND_USE_CMAKE_SYSTEM_PATH: true
      CMAKE_FIND_USE_INSTALL_PREFIX: true
    names:
      - "gcc-ranlib-15.2"
      - "gcc-ranlib-15"
      - "gcc-ranlib15"
      - "gcc-ranlib"
    candidate_directories:
      - "/usr/bin/"
      - "/home/shin/.local/share/nvim/mason/bin/"
      - "/home/shin/.asdf/shims/"
      - "/home/shin/.aftman/bin/"
      - "/home/shin/.rokit/bin/"
      - "/home/shin/.cargo/bin/"
      - "/usr/local/sbin/"
      - "/usr/local/bin/"
      - "/opt/bin/"
      - "/usr/lib/llvm/21/bin/"
      - "/usr/lib/llvm/20/bin/"
      - "/usr/lib/llvm/19/bin/"
      - "/usr/lib/llvm/18/bin/"
      - "/etc/eselect/wine/bin/"
    searched_directories:
      - "/usr/bin/gcc-ranlib-15.2"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ranlib-15.2"
      - "/home/shin/.asdf/shims/gcc-ranlib-15.2"
      - "/home/shin/.aftman/bin/gcc-ranlib-15.2"
      - "/home/shin/.rokit/bin/gcc-ranlib-15.2"
      - "/home/shin/.cargo/bin/gcc-ranlib-15.2"
      - "/usr/local/sbin/gcc-ranlib-15.2"
      - "/usr/local/bin/gcc-ranlib-15.2"
      - "/opt/bin/gcc-ranlib-15.2"
      - "/usr/lib/llvm/21/bin/gcc-ranlib-15.2"
      - "/usr/lib/llvm/20/bin/gcc-ranlib-15.2"
      - "/usr/lib/llvm/19/bin/gcc-ranlib-15.2"
      - "/usr/lib/llvm/18/bin/gcc-ranlib-15.2"
      - "/etc/eselect/wine/bin/gcc-ranlib-15.2"
      - "/usr/bin/gcc-ranlib-15"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ranlib-15"
      - "/home/shin/.asdf/shims/gcc-ranlib-15"
      - "/home/shin/.aftman/bin/gcc-ranlib-15"
      - "/home/shin/.rokit/bin/gcc-ranlib-15"
      - "/home/shin/.cargo/bin/gcc-ranlib-15"
      - "/usr/local/sbin/gcc-ranlib-15"
      - "/usr/local/bin/gcc-ranlib-15"
      - "/opt/bin/gcc-ranlib-15"
      - "/usr/lib/llvm/21/bin/gcc-ranlib-15"
      - "/usr/lib/llvm/20/bin/gcc-ranlib-15"
      - "/usr/lib/llvm/19/bin/gcc-ranlib-15"
      - "/usr/lib/llvm/18/bin/gcc-ranlib-15"
      - "/etc/eselect/wine/bin/gcc-ranlib-15"
      - "/usr/bin/gcc-ranlib15"
      - "/home/shin/.local/share/nvim/mason/bin/gcc-ranlib15"
      - "/home/shin/.asdf/shims/gcc-ranlib15"
      - "/home/shin/.aftman/bin/gcc-ranlib15"
      - "/home/shin/.rokit/bin/gcc-ranlib15"
      - "/home/shin/.cargo/bin/gcc-ranlib15"
      - "/usr/local/sbin/gcc-ranlib15"
      - "/usr/local/bin/gcc-ranlib15"
      - "/opt/bin/gcc-ranlib15"
      - "/usr/lib/llvm/21/bin/gcc-ranlib15"
      - "/usr/lib/llvm/20/bin/gcc-ranlib15"
      - "/usr/lib/llvm/19/bin/gcc-ranlib15"
      - "/usr/lib/llvm/18/bin/gcc-ranlib15"
      - "/etc/eselect/wine/bin/gcc-ranlib15"
    found: "/usr/bin/gcc-ranlib"
    search_context:
      ENV{PATH}:
        - "/home/shin/.local/share/nvim/mason/bin"
        - "/home/shin/.asdf/shims"
        - "/home/shin/.aftman/bin"
        - "/home/shin/.rokit/bin"
        - "/home/shin/.cargo/bin"
        - "/usr/local/sbin"
        - "/usr/local/bin"
        - "/usr/bin"
        - "/opt/bin"
        - "/usr/lib/llvm/21/bin"
        - "/usr/lib/llvm/20/bin"
        - "/usr/lib/llvm/19/bin"
        - "/usr/lib/llvm/18/bin"
        - "/etc/eselect/wine/bin"
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:83 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/home/shin/projects/soundboard/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-boS6jZ"
      binary: "/home/shin/projects/soundboard/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-boS6jZ"
    cmakeVariables:
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shin/projects/soundboard/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-boS6jZ'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_e8d2a
        [1/2] /usr/bin/ccache /usr/bin/cc   -v -o CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-pc-linux-gnu
        Configured with: /var/tmp/portage/sys-devel/gcc-15.2.0/work/gcc-15.2.0/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/15 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include/g++-v15 --disable-silent-rules --disable-dependency-tracking --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/15/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --disable-libunwind-exceptions --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 15.2.0 p5' --with-gcc-major-version-only --enable-libstdcxx-time --enable-lto --disable-libstdcxx-pch --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32,m64 --disable-fixed-point --enable-targets=all --enable-offload-defaulted --enable-offload-targets=nvptx-none --enable-libgomp --disable-libssp --disable-libada --enable-cet --disable-systemtap --disable-valgrind-annotations --disable-vtable-verify --disable-libvtv --with-zstd --without-isl --enable-default-pie --enable-host-pie --enable-host-bind-now --enable-default-ssp --disable-fixincludes --with-gxx-libcxx-include-dir=/usr/include/c++/v1 --with-build-config=bootstrap-cet
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 15.2.0 (Gentoo 15.2.0 p5) 
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/'
         /usr/libexec/gcc/x86_64-pc-linux-gnu/15/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_e8d2a.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -foffload-options=-fno-stack-protector -fcf-protection -foffload-options=-fcf-protection=none -o /tmp/cccKTMs4.s
        GNU C23 (Gentoo 15.2.0 p5) version 15.2.0 (x86_64-pc-linux-gnu)
        	compiled by GNU C version 15.2.0, GMP version 6.3.0, MPFR version 4.2.2, MPC version 1.3.1, isl version none
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-pc-linux-gnu/15/include
         /usr/local/include
         /usr/include
        End of search list.
        Compiler executable checksum: c484806fdeccf2d1186ac04fe846db8f
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/'
         /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/as -v --64 -o CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o /tmp/cccKTMs4.s
        GNU assembler version 2.45.0 (x86_64-pc-linux-gnu) using BFD version (Gentoo 2.45 p3) 2.45.0
        COMPILER_PATH=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.'
        [2/2] : && /usr/bin/cc  -v -Wl,-v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -o cmTC_e8d2a   && :
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-pc-linux-gnu
        Configured with: /var/tmp/portage/sys-devel/gcc-15.2.0/work/gcc-15.2.0/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/15 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include/g++-v15 --disable-silent-rules --disable-dependency-tracking --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/15/python --enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --disable-libunwind-exceptions --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 15.2.0 p5' --with-gcc-major-version-only --enable-libstdcxx-time --enable-lto --disable-libstdcxx-pch --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32,m64 --disable-fixed-point --enable-targets=all --enable-offload-defaulted --enable-offload-targets=nvptx-none --enable-libgomp --disable-libssp --disable-libada --enable-cet --disable-systemtap --disable-valgrind-annotations --disable-vtable-verify --disable-libvtv --with-zstd --without-isl --enable-default-pie --enable-host-pie --enable-host-bind-now --enable-default-ssp --disable-fixincludes --with-gxx-libcxx-include-dir=/usr/include/c++/v1 --with-build-config=bootstrap-cet
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 15.2.0 (Gentoo 15.2.0 p5) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_e8d2a' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_e8d2a.'
         /usr/libexec/gcc/x86_64-pc-linux-gnu/15/collect2 -plugin /usr/libexec/gcc/x86_64-pc-linux-gnu/15/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper -plugin-opt=-fresolution=/tmp/ccm18qRz.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --eh-frame-hdr -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -pie -z now -o cmTC_e8d2a /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../.. -L/lib -L/usr/lib -v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o
        collect2 version 15.2.0
        /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/ld -plugin /usr/libexec/gcc/x86_64-pc-linux-gnu/15/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper -plugin-opt=-fresolution=/tmp/ccm18qRz.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --eh-frame-hdr -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -pie -z now -o cmTC_e8d2a /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../.. -L/lib -L/usr/lib -v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o
        GNU ld (Gentoo 2.45 p3) 2.45.0
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_e8d2a' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_e8d2a.'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:217 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-pc-linux-gnu/15/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/include] ==> [/usr/lib/gcc/x86_64-pc-linux-gnu/15/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/gcc/x86_64-pc-linux-gnu/15/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:253 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(|\\.[a-rt-z][a-z]*|\\.s[a-np-z][a-z]*|\\.so[a-z]+)|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(|\\.[a-rt-z][a-z]*|\\.s[a-np-z][a-z]*|\\.so[a-z]+)))("|,| |$)]
        ignore line: [Change Dir: '/home/shin/projects/soundboard/build/meson-private/__CMake_compiler_info__/CMakeFiles/CMakeScratch/TryCompile-boS6jZ']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/ninja -v cmTC_e8d2a]
        ignore line: [[1/2] /usr/bin/ccache /usr/bin/cc   -v -o CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Configured with: /var/tmp/portage/sys-devel/gcc-15.2.0/work/gcc-15.2.0/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/15 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include/g++-v15 --disable-silent-rules --disable-dependency-tracking --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/15/python --enable-languages=c c++ fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --disable-libunwind-exceptions --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 15.2.0 p5' --with-gcc-major-version-only --enable-libstdcxx-time --enable-lto --disable-libstdcxx-pch --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32 m64 --disable-fixed-point --enable-targets=all --enable-offload-defaulted --enable-offload-targets=nvptx-none --enable-libgomp --disable-libssp --disable-libada --enable-cet --disable-systemtap --disable-valgrind-annotations --disable-vtable-verify --disable-libvtv --with-zstd --without-isl --enable-default-pie --enable-host-pie --enable-host-bind-now --enable-default-ssp --disable-fixincludes --with-gxx-libcxx-include-dir=/usr/include/c++/v1 --with-build-config=bootstrap-cet]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 15.2.0 (Gentoo 15.2.0 p5) ]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/']
        ignore line: [ /usr/libexec/gcc/x86_64-pc-linux-gnu/15/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_e8d2a.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -foffload-options=-fno-stack-protector -fcf-protection -foffload-options=-fcf-protection=none -o /tmp/cccKTMs4.s]
        ignore line: [GNU C23 (Gentoo 15.2.0 p5) version 15.2.0 (x86_64-pc-linux-gnu)]
        ignore line: [	compiled by GNU C version 15.2.0  GMP version 6.3.0  MPFR version 4.2.2  MPC version 1.3.1  isl version none]
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-pc-linux-gnu/15/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: c484806fdeccf2d1186ac04fe846db8f]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/']
        ignore line: [ /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/as -v --64 -o CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o /tmp/cccKTMs4.s]
        ignore line: [GNU assembler version 2.45.0 (x86_64-pc-linux-gnu) using BFD version (Gentoo 2.45 p3) 2.45.0]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.']
        ignore line: [[2/2] : && /usr/bin/cc  -v -Wl -v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -o cmTC_e8d2a   && :]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Configured with: /var/tmp/portage/sys-devel/gcc-15.2.0/work/gcc-15.2.0/configure --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/15 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/15/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/15/include/g++-v15 --disable-silent-rules --disable-dependency-tracking --with-python-dir=/share/gcc-data/x86_64-pc-linux-gnu/15/python --enable-languages=c c++ fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --disable-libunwind-exceptions --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 15.2.0 p5' --with-gcc-major-version-only --enable-libstdcxx-time --enable-lto --disable-libstdcxx-pch --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-multilib --with-multilib-list=m32 m64 --disable-fixed-point --enable-targets=all --enable-offload-defaulted --enable-offload-targets=nvptx-none --enable-libgomp --disable-libssp --disable-libada --enable-cet --disable-systemtap --disable-valgrind-annotations --disable-vtable-verify --disable-libvtv --with-zstd --without-isl --enable-default-pie --enable-host-pie --enable-host-bind-now --enable-default-ssp --disable-fixincludes --with-gxx-libcxx-include-dir=/usr/include/c++/v1 --with-build-config=bootstrap-cet]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 15.2.0 (Gentoo 15.2.0 p5) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/15/:/usr/libexec/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-pc-linux-gnu/15/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib/:/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_e8d2a' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_e8d2a.']
        link line: [ /usr/libexec/gcc/x86_64-pc-linux-gnu/15/collect2 -plugin /usr/libexec/gcc/x86_64-pc-linux-gnu/15/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper -plugin-opt=-fresolution=/tmp/ccm18qRz.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --eh-frame-hdr -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -pie -z now -o cmTC_e8d2a /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../.. -L/lib -L/usr/lib -v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o]
          arg [/usr/libexec/gcc/x86_64-pc-linux-gnu/15/collect2] ==> ignore
          arg [-plugin] ==> ignore
          arg [/usr/libexec/gcc/x86_64-pc-linux-gnu/15/liblto_plugin.so] ==> ignore
          arg [-plugin-opt=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper] ==> ignore
          arg [-plugin-opt=-fresolution=/tmp/ccm18qRz.res] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-pie] ==> ignore
          arg [-znow] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_e8d2a] ==> ignore
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/../lib64] ==> dir [/usr/lib/../lib64]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib]
          arg [-L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../..] ==> dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../..]
          arg [-L/lib] ==> dir [/lib]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [-v] ==> ignore
          arg [CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o]
          arg [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o]
        ignore line: [collect2 version 15.2.0]
        ignore line: [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/ld -plugin /usr/libexec/gcc/x86_64-pc-linux-gnu/15/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-pc-linux-gnu/15/lto-wrapper -plugin-opt=-fresolution=/tmp/ccm18qRz.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --eh-frame-hdr -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -pie -z now -o cmTC_e8d2a /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o -L/usr/lib/gcc/x86_64-pc-linux-gnu/15 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../.. -L/lib -L/usr/lib -v CMakeFiles/cmTC_e8d2a.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o]
        linker tool for 'C': /usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/ld
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/Scrt1.o] ==> [/usr/lib64/Scrt1.o]
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15] ==> [/usr/lib/gcc/x86_64-pc-linux-gnu/15]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/../lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/lib] ==> [/usr/x86_64-pc-linux-gnu/lib]
        collapse library dir [/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../..] ==> [/usr/lib]
        collapse library dir [/lib] ==> [/lib]
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib64/Scrt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtbeginS.o;/usr/lib/gcc/x86_64-pc-linux-gnu/15/crtendS.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-pc-linux-gnu/15;/usr/lib64;/lib64;/usr/x86_64-pc-linux-gnu/lib;/usr/lib;/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CMakeDetermineLinkerId.cmake:36 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:299 (cmake_determine_linker_id)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:3 (project)"
    message: |
      Running the C compiler's linker: "/usr/lib/gcc/x86_64-pc-linux-gnu/15/../../../../x86_64-pc-linux-gnu/bin/ld" "-v"
      GNU ld (Gentoo 2.45 p3) 2.45.0
...
